Summary: Displays who is logged in to local network machines.
Name: rwho
Version: 0.17
Release: 6mdk
Copyright: BSD
Group: Monitoring
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rwho-%{version}.tar.bz2
Source1: rwhod.init
Patch0: netkit-rwho-0.15-alpha.patch.bz2
Requires: /sbin/chkconfig
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
The rwho command displays output similar to the output of the who
command (it shows who is logged in) for all machines on the local
network running the rwho daemon.

Install the rwho command if you need to keep track of the users who
are logged in to your local network.

%prep
%setup -q -n netkit-rwho-%{version}
%patch0 -p1 -b .alpha

%build
%serverbuild
CFLAGS="$RPM_OPT_FLAGS" ./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -C ruptime

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,8}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/spool/rwho

make INSTALLROOT=$RPM_BUILD_ROOT MANDIR=%{_mandir} install 
make INSTALLROOT=$RPM_BUILD_ROOT install -C ruptime MANDIR=%{_mandir}

install -m 755 $RPM_SOURCE_DIR/rwhod.init $RPM_BUILD_ROOT%{_initrddir}/rwhod

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service rwhod

%preun
%_preun_service rwhod

%files
%defattr(-,root,root)
%{_bindir}/ruptime
%{_mandir}/man1/ruptime.1*
%{_bindir}/rwho
%{_mandir}/man1/rwho.1*
%{_sbindir}/rwhod
%{_mandir}/man8/rwhod.8*
/var/spool/rwho
%config(noreplace) %{_initrddir}/rwhod

%changelog
* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.17-6mdk
- use new server macros
- initscripts as config(noreplace)

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-5mdk
- rwhod.init only runlevel 3 4 5.

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-4mdk
- typo in rwhod.init

* Thu Aug 31 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.17-3mdk
- move chkconfig in %preun

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-2mdk
- rebuild for the user of the _initrddir macro.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild for new version
- rebuild with _sbindir and _sysconfdir (titiscks)

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.16-3mdk
- BM, macros, _spechelper_

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-2mdk
- fix dist tag

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-1mdk
- 0.16

* Fri Nov 12 1999 John Buswell <johnb@mandrakesoft.com>
- 0.15
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- add ruptime (#2023)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- added /var/spool/rwho

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- fixed init script

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added an init script
- uses chkconfig
- uses %attr tags

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
